%% sec43_oscillator_makefig_levels
%
% Create, for the article, a plot showing the levels explored by MR-SUR.
%

load temp_mat/sec43_oscillator_makefig_results6.mat

for k = 1:(length (res_bruts))
    if strcmp (res_bruts(k).algorithm.name, 'MRSUR_bsize=1')
        res0 = res_bruts(k);
        break;
    end
end

figure (999);  nr = 1;  nc = 3;

for k = 1:(nr * nc),  subplot (nr, nc, k);
    
    idx_sim = k;
    
    c = res0.cost{idx_sim}(1:end-1) / cost_HF;
    dt = res0.dt{idx_sim};
    
    for dt_ = dt_list
        plot ([min(c) max(c)], dt_ * [1 1], '--', 'Color', 0.3 * [1 1 1]);  hold on;
    end
    
    plot (c, dt, 'ko', 'MarkerFaceColor', 0.7 * [1 1 1]);  xlim (cost_lim);
    
    axis ([9.8 20 0 0.28]);   % Manual tuning
    set (gca, 'YTick', [0.02 0.05 0.1 1/6 1/5 1/4]);
    set (gca, 'YTickLabel', {'1/50' '1/20' '1/10' '1/6' '1/5' '1/4'});
    
    % title (sprintf ('idx sim = %d', idx_sim));
    xlabel ('cost', label_style{:});  ylabel ('dt', label_style{:});
    
end
