% CALL : promo = subsasgn(promo, idx, val)
%
% Allow to modify STK_PROTOMODEL properties with operator '.'.
function promo = subsasgn(promo, idx, val)

switch idx(1).type
    case '.'
        if length(idx) == 1
            promo = set (promo, idx(1).subs, val);
        else
            obj = get(promo, idx(1).subs);
            obj = subsasgn(obj, idx(2:length(idx)), val);
            promo = set(promo, idx(1).subs, obj);
        end
        
    otherwise
        stk_error(['Sorry, but STK does not understand the operator ', ...
            idx(1).type, ' for stk_protomodel.'], 'IllegalIndexing')
end

end

