% CALL : vector_param = stk_get_optimizable_parameters (param)
%
% Return the complete vector of parameters which must be optimized.
function vector_param = stk_get_optimizable_parameters (param)

[name_fields, cumlength_fields, total_lenght] = optimizable_fields(param);
% Get back : name of optimizable fields, their cumulative length, and their
% total length.

vector_param = NaN(total_lenght, 1);
for ko = 1:length(name_fields)
    property = get(param, name_fields{ko, 1});
    
    vector_param( (cumlength_fields(ko) + 1):(cumlength_fields(ko + 1)) ) = property(:);
end

end
