% CALL : value = get (ar_cov, propname)
% [overload stk_param function]
function value = get (ar_cov, propname)

switch propname
    case 'rhoCoeff'
        value = ar_cov.rhoCoeff;
    case 'params'
        value = ar_cov.params;
        
        %% Other propositions : find a property of one of the 3 parameters
    otherwise
        id_underscore = strfind(propname, '_');
        if isempty(id_underscore)
            stk_error('Unknown property', 'UnknownProperty');
        else
            id_underscore = max(id_underscore);
        end
        idx = propname((id_underscore + 1):end);   % The figure of the propname
        idx = str2double(idx);
        nb_lev = number_levels(ar_cov);
        if (idx <= 0) || (idx > nb_lev)
            stk_error('Wrong index number', 'InvalidArgument');
        end
            
        propname = propname(1:(id_underscore - 1));   % The name of the property
        params = ar_cov.params;
        switch propname
            % indicate which parameters to explore
            case 'param'    % Return the whole idx-th parameters
                value = params{idx};
            otherwise
                % default: return the asked propperty of the k-th
                % parameters
                value = get(params{idx}, propname);
        end
        
end

end