% CALL : value = get (par_bro, propname)
% [overload stk_param function]
function value = get (par_bro, propname)

switch propname
    case 'logsig2'
        value = par_bro.logsig2;
    case 'logdegr'
        value = par_bro.logdegr;
    case 'intercept'
        value = par_bro.intercept;
        
        %% Other value you are allowed to get directly
    case 'sig2'
        value = exp(par_bro.logsig2);
    case 'degr'
        value = exp(par_bro.logdegr);
        
    case 'logsig'
        value = 0.5*par_bro.logsig2;
    case 'sig'
        value = exp(0.5*par_bro.logsig2);
        % sqrt{exp(lv)} = exp(0.5*lv)
        
    otherwise
        stk_error(['An brownian parameter does not have any property',...
            ' whose name is ', propname, '.'], 'UnknownField');
end

end