% CALL : cstlnv = set(cstlnv, propname, value)
% [overload stk_param function]
function cstlnv = set(cstlnv, propname, value)

switch propname
    case 'lognoivar'
        % Assert class
        if ~isnumeric(value)
            try
                value = double(value);
            catch
                stk_error('''lognoivar'' must be a double.', 'InvalidType');
            end
        end
        value = value(:);           % assert vector
        cstlnv.lognoivar = value;	% change value

        %% Other supported changes
    case 'noivar'
        cstlnv = set(cstlnv, 'lognoivar', reallog(value));
        % reallog to ensure that input is positive
    case 'lognoistd'
        cstlnv = set(cstlnv, 'lognoivar', 2*value);
    case 'noistd'
        cstlnv = set(cstlnv, 'lognoivar', 2*reallog(value));
        % sqrt{exp(lv)} = exp(0.5*lv)
        
    otherwise
        stk_error(['A constant log-noise variance parameter does not have',...
            'any property whose name is ', propname, '.'], 'UnknownField');
end
end

