% CALL : mat_aniso = set(mat_aniso, propname, value)
% [overload stk_param_aniso function]
function mat_aniso = set(mat_aniso, propname, value)

switch propname
    case 'logreg'
        % Assert class
        if ~isnumeric(value)
            try
                value = double(value);
            catch
                stk_error('''logreg'' must be a double.', 'InvalidType');
            end
        end
        % Assert size
        if numel(value) > 1
            stk_error('''logreg'' must have a unique value.', 'IncorrectSize');
        end
        % Change value
        mat_aniso.logreg = value;
        
    case 'stk_param_aniso'
        stk_error ('Field .stk_param_aniso is read-only.', 'ReadOnlyField');
        
        %% Other supported changes
    case 'reg'
        mat_aniso = set(mat_aniso, 'logreg', reallog(value));
        % reallog to ensure that input is positive
        
    otherwise
        mat_aniso.stk_param_aniso = set(mat_aniso.stk_param_aniso, propname, value);
end
end

