% CALL : [lb, ub] = stk_param_getdefaultbounds(mat_aniso, xi, zi)
%
% Get the lower bound and upper bound of optimization for a parameter.
% lb <= param <= ub.
% lb and ub are vector with the same length as param.
function [lb, ub] = stk_param_getdefaultbounds (mat_aniso, xi, zi)

if nargin > 3
    stk_error('Too many input arguments.', 'TooManyInputArgs');
end

%% Bounds of anisometric parameter
[lb, ub] = stk_param_getdefaultbounds (mat_aniso.stk_param_aniso, xi, zi);

%% Bounds of other parameters
dim = size (xi, 2);

nu_lb = min (log (0.5), mat_aniso.logreg);
nu_ub = max (log (min (50, 10 * dim)), mat_aniso.logreg);

lb = [lb; nu_lb];
ub = [ub; nu_ub];

end

