% CALL : mat_iso = set(mat_iso, propname, value)
% [overload stk_param_iso function]
function mat_iso = set(mat_iso, propname, value)

switch propname
    case 'logreg'
        % Assert class
        if ~isnumeric(value)
            try
                value = double(value);
            catch
                stk_error('''logreg'' must be a double.', 'InvalidType');
            end
        end
        % Assert size
        if numel(value) > 1
            stk_error('''logreg'' must have a unique value.', 'IncorrectSize');
        end
        % Change value
        mat_iso.logreg = value;
        
    case 'stk_param_iso'
        stk_error ('Field .stk_param_iso is read-only.', 'ReadOnlyField');
        
        %% Other supported changes
    case 'reg'
        mat_iso = set(mat_iso, 'logreg', reallog(value));
        % reallog to ensure that input is positive
        
    otherwise
        mat_iso.stk_param_iso = set (mat_iso.stk_param_iso, propname, value);
end
end

