% CALL : value = get (mf_cov, propname)
% [overload stk_param function]
function value = get (mf_cov, propname)

switch propname
    case {'param_Ideal', 'param_Origin', 'paramI', 'paramO', 'param0'}
        value = mf_cov.param_Ideal;
    case {'param_Error', 'paramE'}
        value = mf_cov.param_Error;
    case {'param_Level', 'paramL', 'paramT'}
        value = mf_cov.param_Level;
        
        %% Other value you are allowed to get directly
    case 'logESR'
        value = get(mf_cov, 'logsig2E') - get(mf_cov, 'logsig20');
    case 'ESR'
        value = exp(get(mf_cov, 'logESR'));
    case 'logESR12'
        value = 0.5*get(mf_cov, 'logESR');
    case 'ESR12'
        value = exp(0.5*get(mf_cov, 'logESR'));

    case 'logdegr'
        value = get(mf_cov, 'logdegrL');
    case 'degr'
        value = get(mf_cov, 'degrL');
        
    case 'intercept'
        value = get(mf_cov, 'interceptL');
        
        %% Other propositions : find a property of one of the 3 parameters
    otherwise
        ind_prop = propname(end);   % The last letter of the propname
        propname = propname(1:(end - 1));
        switch ind_prop
            % indicate which parameters to explore
            case {'I', 'O', '0'}
                value = get(mf_cov.param_Ideal, propname);
            case 'E'
                value = get(mf_cov.param_Error, propname);
            case {'T', 'L'}
                value = get(mf_cov.param_Level, propname);
            otherwise
                % default
                value = get(mf_cov.param_Ideal, [propname, ind_prop]);
        end
            
end

end