% CALL : [name_optim_fields, cumlength_optim_fields, total_lenght] =
%       optimizable_fields(mf_cov)
% [overload stk_param function]
function [name_optim_fields, cumlength_optim_fields, total_lenght] =...
    optimizable_fields(mf_cov)

persistent class_L name_optim_fields0 cumlength_optim_fields0 total_lenght0

if isempty(class_L) || ~strcmp(class_L, class(mf_cov.param_Level))
    % If there is a reason for which the fields to optimize could changed
    % Else, return the same result as before ==> save time
    catLet = @(string, letter)(strcat(string, letter));
    non_uni = {'UniformOutput', false};
    
    %% Fields of the ideal part
    [name_optim_fields0, cumlength_optim_fields0, total_lenght0] = ...
        optimizable_fields(mf_cov.param_Ideal);
    
    name_optim_fields0 = catLet(name_optim_fields0, '0');
    
    %% Fields of the error part
    [name_optim_fields_E, cumlength_optim_fields_E, total_lenght_E] = ...
        optimizable_fields(mf_cov.param_Error);
    
    name_optim_fields_E = catLet(name_optim_fields_E, 'E');
    name_optim_fields0 = [name_optim_fields0; name_optim_fields_E];
    
    cumlength_optim_fields0 = [cumlength_optim_fields0;
        cumlength_optim_fields_E(2:end) + total_lenght0];
    
    total_lenght0 = total_lenght0 + total_lenght_E;
    
    %% Fields of the level part
    [name_optim_fields_L, cumlength_optim_fields_L, total_lenght_L] = ...
        optimizable_fields(mf_cov.param_Level);
    
    ind_logsig2 = strcmp(name_optim_fields_L, 'logsig2');
    if any(ind_logsig2)
        name_optim_fields_L = name_optim_fields_L(~ind_logsig2);
        
        i = find(ind_logsig2);
        if i + 2 <= length(cumlength_optim_fields_L)
            cumlength_optim_fields_L = [
                cumlength_optim_fields_L(1:i);
                cumlength_optim_fields_L((i+2):end) - cumlength_optim_fields_L(i+1)];
        else
            cumlength_optim_fields_L = cumlength_optim_fields_L(1:i);
        end
        
        total_lenght_L = cumlength_optim_fields_L(end);
    end
    
    name_optim_fields_L = catLet(name_optim_fields_L, 'L');
    name_optim_fields0 = [name_optim_fields0; name_optim_fields_L];
    
    cumlength_optim_fields0 = [cumlength_optim_fields0;
        cumlength_optim_fields_L(2:end) + total_lenght0];
    
    total_lenght0 = total_lenght0 + total_lenght_L;
    
    %% Change the name of fields
    willingFields = {'logsig20', 'logsig2';
        'logsig2E', 'logESR';
        'logdegrL', 'logdegr';
        'interceptL', 'intercept'; };
    
    name_optim_fields0( ismember(name_optim_fields0, willingFields(:, 1)) ) = willingFields(:, 2);
    
    class_L = class(mf_cov.param_Level);
end

name_optim_fields = name_optim_fields0;
cumlength_optim_fields = cumlength_optim_fields0;
total_lenght = total_lenght0;
end
