% CALL : covmo_mat32aniso = stk_covmodel_matern32aniso(dim)
%
% Create a covariance model with a Matern 3/2 anisotropic covariance function.
%
% - dim : dimension of the model.
function covmo_mat32aniso = stk_covmodel_matern32aniso(dim)


%% function
reg = 3/2;
logreg = log(reg);
%% Create the covariance model
covmo_mat32aniso = stk_covmodel_maternaniso(dim, reg);

%% Prior
meanVect = [zeros(dim + 1, 1); logreg];
varVect  = [ +Inf(dim + 1, 1); 0];
prior = stk_prior_gauss(meanVect, varVect);
covmo_mat32aniso.prior = prior;
end

