% CALL : covmo_mat52aniso = stk_covmodel_matern52aniso(dim)
%
% Create a covariance model with a Matern 5/2 anisotropic covariance function.
%
% - dim : dimension of the model.
function covmo_mat52aniso = stk_covmodel_matern52aniso(dim)

%% function
reg = 5/2;
logreg = log(reg);
%% Create the covariance model
covmo_mat52aniso = stk_covmodel_maternaniso(dim, reg);

%% Prior
meanVect = [zeros(dim + 1, 1); logreg];
varVect  = [ +Inf(dim + 1, 1); 0];
prior = stk_prior_gauss(meanVect, varVect);
covmo_mat52aniso.prior = prior;

end

