% CALL : covmo_mat52iso = stk_covmodel_matern52iso()
%
% Create a covariance model with a Matern 5/2 isotropic covariance function.
function covmo_mat52iso = stk_covmodel_matern52iso()

%% function
reg = 5/2;
logreg = log(reg);
%% Create the covariance model
covmo_mat52iso = stk_covmodel_materniso(reg);

%% Prior
meanVect = [zeros(2, 1); logreg];
varVect  = [ +Inf(2, 1); 0];
prior = stk_prior_gauss(meanVect, varVect);
covmo_mat52iso.prior = prior;
end

